## ros-indigo-mrpt-rawlog 0.1.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mrpt_rawlog)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp tf std_msgs nav_msgs sensor_msgs mrpt_bridge dynamic_reconfigure)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)
# MRPT
find_package(MRPT REQUIRED base gui obs)
#include_directories(${MRPT_INCLUDE_DIRS})
#MESSAGE( STATUS "MRPT_INCLUDE_DIRS: " ${MRPT_INCLUDE_DIRS})
#link_directories(${MRPT_LIBRARY_DIRS})
#MESSAGE( STATUS "MRPT_LIBRARY_DIRS: " ${MRPT_LIBS})


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

#add dynamic reconfigure api
generate_dynamic_reconfigure_options(
  cfg/Motion.cfg
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
#  LIBRARIES template
#  CATKIN_DEPENDS other_catkin_pkg
#   DEPENDS mrpt
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a cpp library
add_library(rawlog_record
   src/mrpt_rawlog_record/rawlog_record.cpp
   src/mrpt_rawlog_record/rawlog_record_parameters.cpp
)
target_link_libraries(rawlog_record
  ${catkin_LIBRARIES}
  ${MRPT_LIBS}
)

add_library(rawlog_play
   src/mrpt_rawlog_play/rawlog_play.cpp
   src/mrpt_rawlog_play/rawlog_play_parameters.cpp
)
target_link_libraries(rawlog_play
  ${catkin_LIBRARIES}
  ${MRPT_LIBS}
)

## Declare a cpp executable
add_executable(rawlog_record_node
    src/rawlog_record_node.cpp
    src/rawlog_record_node_parameters.cpp
)

add_executable(rawlog_play_node
    src/rawlog_play_node.cpp
    src/rawlog_play_node_parameters.cpp
)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(template_node template_generate_messages_cpp)
add_dependencies(rawlog_record_node
  mrpt_rawlog_gencfg)

add_dependencies(rawlog_play_node
  mrpt_rawlog_gencfg)

## Specify libraries to link a library or executable target against
target_link_libraries(rawlog_record_node
   ${catkin_LIBRARIES}
   ${MRPT_LIBS}
   rawlog_record
)
target_link_libraries(rawlog_play_node
   ${catkin_LIBRARIES}
   ${MRPT_LIBS}
   rawlog_play
)


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

# Mark executables and/or libraries for installation
install(TARGETS rawlog_record_node rawlog_play_node rawlog_record rawlog_play
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
   tutorial
   launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_template.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-mrpt-rawlog (0.1.14-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 11 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.13-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.12-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.11-0trusty) trusty; urgency=high

  * fix missing #include
  * Add wheeled robot example and 2d ekf.
  * Add landmark to bridge.
  * Contributors: Jose Luis Blanco, Logrus

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 20 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.10-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.9-0trusty) trusty; urgency=high

  * fix install of .so targets
  * Contributors: Jose-Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.8-0trusty) trusty; urgency=high

  * Fix CMake dependencies (it failed to build in some platforms randomly)
  * Contributors: Jose-Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.7-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 19 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.6-0trusty) trusty; urgency=high

  * added a launch file that plays a range-only rawlog
  * Added in beacon publisher capabilities
  * fix build with latest mrpt version
  * update stamp with ros time now
    - since no clock recorded, tf/msgs published in the past, complains from everywhere
    - todo : extrapolate time between first/last msg stamp and pub clock
  * default laser frame if msg_laser_ has none
  * Contributors: Jeremie Deray, Jose Luis Blanco, Raphael Zack

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 19 Mar 2016 23:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.5-0trusty) trusty; urgency=high

  * Cleaner build against mrpt 1.3.0
  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Apr 2015 22:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.4-0trusty) trusty; urgency=high

  * Removed 'mrpt' dep from catkin_package().
    I *think* this is giving problems to dependant pkgs and is not needed...
  * localization: New param to configure sensor sources in a flexible way
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 26 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.3-0trusty) trusty; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.2-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.1-0trusty) trusty; urgency=high

  * First public binary release.

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-rawlog (0.1.0-0trusty) trusty; urgency=high

  * More debug output
  * consistent version numbers
  * Fix demo_play with a sample .rawlog (was missing)
  * Fixes broken dependencies
  * Removed obsolete rawlog_play & fix build of other nodes.
  * Update all wiki URLs
  * Fix build with mrpt 1.2.x

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-mrpt-rawlog
Section: misc
Priority: extra
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), libmrpt-dev, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-mrpt-bridge, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://wiki.ros.org/mrpt_rawlog
Standards-Version: 3.9.2

Package: ros-indigo-mrpt-rawlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmrpt-dev, ros-indigo-dynamic-reconfigure, ros-indigo-mrpt-bridge, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: This package enables you to record a rawlog from a ROS drive robot.
 At the moment the package is able to deal with odometry and 2d laser scans.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mrpt-rawlog//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
